
Installer - Bug #30133

Install python3-subscription-manager-rhsm package to use for rhsm certguard

06/16/2020 01:43 PM - Samir Jha

Status: Closed   

Priority: Normal   

Assignee: Samir Jha   

Category: Foreman modules   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/101,

https://github.com/theforeman/puppet-pul

pcore/pull/103

  

Description

We need package python3-subscription-manager-rhsm to be installed on server.

Related issues:

Related to Installer - Bug #30059: Add apache config for protected content wi... Closed

Associated revisions

Revision bed36c59 - 06/19/2020 01:39 PM - Samir Jha 

Fixes #30133 - Install python3-subscription-manager-rhsm

Revision 532044b7 - 06/26/2020 11:23 AM - Ewoud Kohl van Wijngaarden

Refs #30133 - Unconditionally install RHSM

python3-subscription-manager-rhsm is needed on both EL7 and EL8. On EL7

it's not part of the base OS since rhsm is using Python 2. On EL8 it's

installed when subscription-manager is. However, it's good to be

explicit about what you need to function. Likely to be present is not

good enough.

History

#1 - 06/16/2020 03:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/101 added

#2 - 06/19/2020 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|bed36c59215cc3df520511261abcbebd292264d2.

#3 - 06/24/2020 12:45 PM - Justin Sherrill

- Target version set to 2.1.0

#4 - 06/24/2020 01:07 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

- Fixed in Releases 2.2.0 added

#5 - 06/26/2020 10:36 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/103 added
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-pulpcore/revisions/bed36c59215cc3df520511261abcbebd292264d2


#6 - 06/29/2020 12:51 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #30059: Add apache config for protected content with certguard added

#7 - 07/01/2020 12:27 PM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/puppet-pulpcore/pull/103, https://github.com/theforeman/puppet-pulpcore/pull/101)

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)

#8 - 07/01/2020 12:32 PM - Tomer Brisker

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/101, https://github.com/theforeman/puppet-pulpcore/pull/103 added
